Package org.zkoss.stateless.sul

## Class ICropper.Updater

- java.lang.Object
- - org.zkoss.stateless.sul.ICropper.Updater

- All Implemented Interfaces:
    `SmartUpdater`
  Enclosing interface:
    ICropper

      public static class ICropper.Updater
      extends java.lang.Object

  Builds an updater of type `ICropper` for `UiAgent.smartUpdate(Locator, SmartUpdater)`.

  `Updater` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

  See Also:
    `SmartUpdater`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Updater()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ICropper.Updater` | `aspectRatio​(double aspectRatio)` | Sets the given value of `aspectRatio` to update to client widget
    `ICropper.Updater` | `clientAction​(java.lang.String clientAction)` | Sets the given value of `clientAction` to update to client widget
    `ICropper.Updater` | `content​(Image content)` | Sets the given value of `content` to update to client widget
    `ICropper.Updater` | `croppedFormat​(java.lang.String croppedFormat)` | Sets the given value of `croppedFormat` to update to client widget
    `ICropper.Updater` | `crossorigin​(java.lang.String crossorigin)` | Sets the given value of `crossorigin` to update to client widget
    `ICropper.Updater` | `draggable​(java.lang.String draggable)` | Sets the given value of `draggable` to update to client widget
    `ICropper.Updater` | `droppable​(java.lang.String droppable)` | Sets the given value of `droppable` to update to client widget
    `ICropper.Updater` | `focus​(boolean focus)` | Sets the given value of `focus` to update to client widget
    `ICropper.Updater` | `h​(int h)` | Sets the given value of `h` to update to client widget
    `ICropper.Updater` | `height​(java.lang.String height)` | Sets the given value of `height` to update to client widget
    `ICropper.Updater` | `hflex​(java.lang.String hflex)` | Sets the given value of `hflex` to update to client widget
    `ICropper.Updater` | `id​(java.lang.String id)` | Sets the given value of `id` to update to client widget
    `ICropper.Updater` | `instant​(boolean instant)` | Sets the given value of `instant` to update to client widget
    `ICropper.Updater` | `left​(java.lang.String left)` | Sets the given value of `left` to update to client widget
    `java.util.Map<java.lang.String,​java.lang.Object>` | `marshal()` | Serializes the keys and values of the updater.
    `ICropper.Updater` | `maxHeight​(int maxHeight)` | Sets the given value of `maxHeight` to update to client widget
    `ICropper.Updater` | `maxWidth​(int maxWidth)` | Sets the given value of `maxWidth` to update to client widget
    `ICropper.Updater` | `minHeight​(int minHeight)` | Sets the given value of `minHeight` to update to client widget
    `ICropper.Updater` | `minWidth​(int minWidth)` | Sets the given value of `minWidth` to update to client widget
    `ICropper.Updater` | `mold​(java.lang.String mold)` | Sets the given value of `mold` to update to client widget
    `ICropper.Updater` | `renderdefer​(int renderdefer)` | Sets the given value of `renderdefer` to update to client widget
    `ICropper.Updater` | `sclass​(java.lang.String sclass)` | Sets the given value of `sclass` to update to client widget
    `ICropper.Updater` | `src​(java.lang.String src)` | Sets the given value of `src` to update to client widget
    `ICropper.Updater` | `style​(java.lang.String style)` | Sets the given value of `style` to update to client widget
    `ICropper.Updater` | `tabindex​(java.lang.Integer tabindex)` | Sets the given value of `tabindex` to update to client widget
    `ICropper.Updater` | `toolbarVisible​(boolean toolbarVisible)` | Sets the given value of `toolbarVisible` to update to client widget
    `ICropper.Updater` | `tooltiptext​(java.lang.String tooltiptext)` | Sets the given value of `tooltiptext` to update to client widget
    `ICropper.Updater` | `top​(java.lang.String top)` | Sets the given value of `top` to update to client widget
    `ICropper.Updater` | `vflex​(java.lang.String vflex)` | Sets the given value of `vflex` to update to client widget
    `ICropper.Updater` | `visible​(boolean visible)` | Sets the given value of `visible` to update to client widget
    `ICropper.Updater` | `w​(int w)` | Sets the given value of `w` to update to client widget
    `ICropper.Updater` | `widgetClass​(java.lang.String widgetClass)` | Sets the given value of `widgetClass` to update to client widget
    `ICropper.Updater` | `width​(java.lang.String width)` | Sets the given value of `width` to update to client widget
    `ICropper.Updater` | `x​(int x)` | Sets the given value of `x` to update to client widget
    `ICropper.Updater` | `y​(int y)` | Sets the given value of `y` to update to client widget
    `ICropper.Updater` | `zclass​(java.lang.String zclass)` | Sets the given value of `zclass` to update to client widget
    `ICropper.Updater` | `zIndex​(int zIndex)` | Sets the given value of `zIndex` to update to client widget

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Updater

          public Updater()

  - ### Method Detail

    - #### id

          public ICropper.Updater id​(java.lang.String id)

      Sets the given value of `id` to update to client widget
      Parameters:
        `id` - The new value for `id`
      See Also:
        `IComponent.withId(java.lang.String)`

    - #### visible

          public ICropper.Updater visible​(boolean visible)

      Sets the given value of `visible` to update to client widget
      Parameters:
        `visible` - The new value for `visible`
      See Also:
        `IComponent.withVisible(boolean)`

    - #### mold

          public ICropper.Updater mold​(java.lang.String mold)

      Sets the given value of `mold` to update to client widget
      Parameters:
        `mold` - The new value for `mold`
      See Also:
        `IComponent.withMold(java.lang.String)`

    - #### left

          public ICropper.Updater left​(java.lang.String left)

      Sets the given value of `left` to update to client widget
      Parameters:
        `left` - The new value for `left`
      See Also:
        `IHtmlBasedComponent.withLeft(java.lang.String)`

    - #### top

          public ICropper.Updater top​(java.lang.String top)

      Sets the given value of `top` to update to client widget
      Parameters:
        `top` - The new value for `top`
      See Also:
        `IHtmlBasedComponent.withTop(java.lang.String)`

    - #### zIndex

          public ICropper.Updater zIndex​(int zIndex)

      Sets the given value of `zIndex` to update to client widget
      Parameters:
        `zIndex` - The new value for `zIndex`
      See Also:
        `IHtmlBasedComponent.withZIndex(int)`

    - #### height

          public ICropper.Updater height​(java.lang.String height)

      Sets the given value of `height` to update to client widget
      Parameters:
        `height` - The new value for `height`
      See Also:
        `IHtmlBasedComponent.withHeight(java.lang.String)`

    - #### width

          public ICropper.Updater width​(java.lang.String width)

      Sets the given value of `width` to update to client widget
      Parameters:
        `width` - The new value for `width`
      See Also:
        `IHtmlBasedComponent.withWidth(java.lang.String)`

    - #### tooltiptext

          public ICropper.Updater tooltiptext​(java.lang.String tooltiptext)

      Sets the given value of `tooltiptext` to update to client widget
      Parameters:
        `tooltiptext` - The new value for `tooltiptext`
      See Also:
        `IHtmlBasedComponent.withTooltiptext(java.lang.String)`

    - #### zclass

          public ICropper.Updater zclass​(java.lang.String zclass)

      Sets the given value of `zclass` to update to client widget
      Parameters:
        `zclass` - The new value for `zclass`
      See Also:
        `IHtmlBasedComponent.withZclass(java.lang.String)`

    - #### sclass

          public ICropper.Updater sclass​(java.lang.String sclass)

      Sets the given value of `sclass` to update to client widget
      Parameters:
        `sclass` - The new value for `sclass`
      See Also:
        `IHtmlBasedComponent.withSclass(java.lang.String)`

    - #### style

          public ICropper.Updater style​(java.lang.String style)

      Sets the given value of `style` to update to client widget
      Parameters:
        `style` - The new value for `style`
      See Also:
        `IHtmlBasedComponent.withStyle(java.lang.String)`

    - #### draggable

          public ICropper.Updater draggable​(java.lang.String draggable)

      Sets the given value of `draggable` to update to client widget
      Parameters:
        `draggable` - The new value for `draggable`
      See Also:
        `IHtmlBasedComponent.withDraggable(java.lang.String)`

    - #### focus

          public ICropper.Updater focus​(boolean focus)

      Sets the given value of `focus` to update to client widget
      Parameters:
        `focus` - The new value for `focus`
      See Also:
        `IHtmlBasedComponent.withFocus(boolean)`

    - #### droppable

          public ICropper.Updater droppable​(java.lang.String droppable)

      Sets the given value of `droppable` to update to client widget
      Parameters:
        `droppable` - The new value for `droppable`
      See Also:
        `IHtmlBasedComponent.withDroppable(java.lang.String)`

    - #### vflex

          public ICropper.Updater vflex​(java.lang.String vflex)

      Sets the given value of `vflex` to update to client widget
      Parameters:
        `vflex` - The new value for `vflex`
      See Also:
        `IHtmlBasedComponent.withVflex(java.lang.String)`

    - #### hflex

          public ICropper.Updater hflex​(java.lang.String hflex)

      Sets the given value of `hflex` to update to client widget
      Parameters:
        `hflex` - The new value for `hflex`
      See Also:
        `IHtmlBasedComponent.withHflex(java.lang.String)`

    - #### renderdefer

          public ICropper.Updater renderdefer​(int renderdefer)

      Sets the given value of `renderdefer` to update to client widget
      Parameters:
        `renderdefer` - The new value for `renderdefer`
      See Also:
        `IHtmlBasedComponent.withRenderdefer(int)`

    - #### clientAction

          public ICropper.Updater clientAction​(java.lang.String clientAction)

      Sets the given value of `clientAction` to update to client widget
      Parameters:
        `clientAction` - The new value for `clientAction`
      See Also:
        `IHtmlBasedComponent.withClientAction(java.lang.String)`

    - #### tabindex

          public ICropper.Updater tabindex​(java.lang.Integer tabindex)

      Sets the given value of `tabindex` to update to client widget
      Parameters:
        `tabindex` - The new value for `tabindex`
      See Also:
        `IHtmlBasedComponent.withTabindex(java.lang.Integer)`

    - #### widgetClass

          public ICropper.Updater widgetClass​(java.lang.String widgetClass)

      Sets the given value of `widgetClass` to update to client widget
      Parameters:
        `widgetClass` - The new value for `widgetClass`
      See Also:
        `IComponent.withWidgetClass(java.lang.String)`

    - #### crossorigin

          public ICropper.Updater crossorigin​(java.lang.String crossorigin)

      Sets the given value of `crossorigin` to update to client widget
      Parameters:
        `crossorigin` - The new value for `crossorigin`
      See Also:
        `ICropper.withCrossorigin(java.lang.String)`

    - #### content

          public ICropper.Updater content​(Image content)

      Sets the given value of `content` to update to client widget
      Parameters:
        `content` - The new value for `content`
      See Also:
        `ICropper.withContent(org.zkoss.image.Image)`

    - #### aspectRatio

          public ICropper.Updater aspectRatio​(double aspectRatio)

      Sets the given value of `aspectRatio` to update to client widget
      Parameters:
        `aspectRatio` - The new value for `aspectRatio`
      See Also:
        `ICropper.withAspectRatio(double)`

    - #### minWidth

          public ICropper.Updater minWidth​(int minWidth)

      Sets the given value of `minWidth` to update to client widget
      Parameters:
        `minWidth` - The new value for `minWidth`
      See Also:
        `ICropper.withMinWidth(int)`

    - #### minHeight

          public ICropper.Updater minHeight​(int minHeight)

      Sets the given value of `minHeight` to update to client widget
      Parameters:
        `minHeight` - The new value for `minHeight`
      See Also:
        `ICropper.withMinHeight(int)`

    - #### maxWidth

          public ICropper.Updater maxWidth​(int maxWidth)

      Sets the given value of `maxWidth` to update to client widget
      Parameters:
        `maxWidth` - The new value for `maxWidth`
      See Also:
        `ICropper.withMaxWidth(int)`

    - #### maxHeight

          public ICropper.Updater maxHeight​(int maxHeight)

      Sets the given value of `maxHeight` to update to client widget
      Parameters:
        `maxHeight` - The new value for `maxHeight`
      See Also:
        `ICropper.withMaxHeight(int)`

    - #### x

          public ICropper.Updater x​(int x)

      Sets the given value of `x` to update to client widget
      Parameters:
        `x` - The new value for `x`
      See Also:
        `ICropper.withX(int)`

    - #### y

          public ICropper.Updater y​(int y)

      Sets the given value of `y` to update to client widget
      Parameters:
        `y` - The new value for `y`
      See Also:
        `ICropper.withY(int)`

    - #### w

          public ICropper.Updater w​(int w)

      Sets the given value of `w` to update to client widget
      Parameters:
        `w` - The new value for `w`
      See Also:
        `ICropper.withW(int)`

    - #### h

          public ICropper.Updater h​(int h)

      Sets the given value of `h` to update to client widget
      Parameters:
        `h` - The new value for `h`
      See Also:
        `ICropper.withH(int)`

    - #### toolbarVisible

          public ICropper.Updater toolbarVisible​(boolean toolbarVisible)

      Sets the given value of `toolbarVisible` to update to client widget
      Parameters:
        `toolbarVisible` - The new value for `toolbarVisible`
      See Also:
        `ICropper.withToolbarVisible(boolean)`

    - #### croppedFormat

          public ICropper.Updater croppedFormat​(java.lang.String croppedFormat)

      Sets the given value of `croppedFormat` to update to client widget
      Parameters:
        `croppedFormat` - The new value for `croppedFormat`
      See Also:
        `ICropper.withCroppedFormat(java.lang.String)`

    - #### instant

          public ICropper.Updater instant​(boolean instant)

      Sets the given value of `instant` to update to client widget
      Parameters:
        `instant` - The new value for `instant`
      See Also:
        `ICropper.withInstant(boolean)`

    - #### src

          public ICropper.Updater src​(java.lang.String src)

      Sets the given value of `src` to update to client widget
      Parameters:
        `src` - The new value for `src`
      See Also:
        `ICropper.withSrc(java.lang.String)`

    - #### marshal

          public java.util.Map<java.lang.String,​java.lang.Object> marshal()

      Description copied from interface: `SmartUpdater`
      Serializes the keys and values of the updater.
      Specified by:
        `marshal` in interface `SmartUpdater`
      Returns:
        A keys and values mapping for `UiAgent.smartUpdate(org.zkoss.stateless.ui.Locator, org.zkoss.stateless.ui.SmartUpdater)`